﻿<UserControl x:Class="Tkachenko.Roman.TaxiCity.UI.Views.CustomersUserControl"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:Tkachenko.Roman.TaxiCity.UI.Views"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="4*"/>
            <ColumnDefinition Width="1*"/>
            <ColumnDefinition Width="4*"/>
            <ColumnDefinition Width="1*"/>
            <ColumnDefinition Width="4*"/>
            <ColumnDefinition Width="2*"/>
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="*"/>
            <RowDefinition Height="Auto"/>
        </Grid.RowDefinitions>
        <DataGrid Grid.Column="0" 
                  Grid.RowSpan="2"
                  AutoGenerateColumns="False" 
                  ItemsSource="{Binding Path=Customers}"
                  SelectedItem="{Binding Path=SelectedCustomer, Mode=TwoWay}"
                  SelectionMode="Single"
                  SelectionUnit="FullRow"
                  PreviewKeyDown="CheckRemovedCustomer"
                  AddingNewItem="CreateCustomer"
                  CellEditEnding="ChangeCustomer">
            <DataGrid.Columns>
                <DataGridTextColumn Header="Name" Width="1*" Binding="{Binding Path=Name, Mode=TwoWay}"/>
            </DataGrid.Columns>
        </DataGrid>
        <DataGrid Grid.Column="1" Grid.ColumnSpan="5"
                  Grid.Row="0"
                  CanUserAddRows="False"
                  AutoGenerateColumns="False" 
                  ItemsSource="{Binding Path=SelectedCustomerRides}"
                  SelectionMode="Single"
                  SelectionUnit="FullRow"
                  PreviewKeyDown="CheckRemovedRide">
            <DataGrid.Columns>
                <DataGridTextColumn Header="Driver" Binding="{Binding Path=Driver, Mode=OneWay}"/>
                <DataGridTextColumn Header="Starting address" Binding="{Binding Path=Start, Mode=OneWay}"/>
                <DataGridTextColumn Header="Destination address" Binding="{Binding Path=Destination, Mode=OneWay}"/>
                <DataGridTextColumn Header="Status" Binding="{Binding Path=Status, Mode=OneWay}"/>
            </DataGrid.Columns>
        </DataGrid>
        <Label Content="From:" Grid.Column="1" Grid.Row="1" HorizontalAlignment="Right"/>
        <TextBox Grid.Column="2" Grid.Row="1" 
                 TextWrapping="Wrap" VerticalAlignment="Center" Margin="5"
                 Text="{Binding Path=RequestFrom, Mode=TwoWay}"/>
        <Label Content="To:" Grid.Column="3" Grid.Row="1" HorizontalAlignment="Right"/>
        <TextBox Grid.Column="4" Grid.Row="1" 
                 TextWrapping="Wrap" VerticalAlignment="Center" Margin="5"
                 Text="{Binding Path=RequestTo, Mode=TwoWay}"/>
        <Button Grid.Column="5"
                Grid.Row="1" 
                Content="Request"
                Margin="3"
                Command="{Binding Path=RequestRide}"/>
    </Grid>
</UserControl>
